> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Data Source Files For Data Source Id

> Gets datasourcefiles for a given datasource



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/datasource/{datasource_id}/data_source_files
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/datasource/{datasource_id}/data_source_files:
    get:
      tags:
        - Data Source
      summary: Get List Of Data Source Files For Data Source Id
      description: Gets datasourcefiles for a given datasource
      operationId: >-
        get_list_of_data_source_files_for_data_source_id_api_v1_datasource__datasource_id__data_source_files_get
      parameters:
        - name: datasource_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Datasource Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IGetResponsePaginated_IDataSourceFileRead_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IDataSourceFileRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IDataSourceFileRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IDataSourceFileRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IDataSourceFileRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IDataSourceFileRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IDataSourceFileRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IDataSourceFileRead:
      properties:
        ds_type:
          anyOf:
            - $ref: '#/components/schemas/IDSEnum'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - ds_type
        - id
      title: IDataSourceFileRead
    IDSEnum:
      type: string
      enum:
        - pdf
        - doc
        - http
        - tool
        - text_blob
        - image
        - text_image
      title: IDSEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````